Apache Tomcat 6.0.51

## org.apache.catalina.ssi
Class SSIPrintenv

    java.lang.Object
      org.apache.catalina.ssi.SSIPrintenv

All Implemented Interfaces:
  SSICommand

    public class SSIPrintenv

extends java.lang.Object
implements SSICommand

Implements the Server-side #printenv command

Author:
  Dan Sandberg, David Becker

Constructor Summary
`SSIPrintenv()`

Method Summary
`long` | `process(SSIMediator ssiMediator, java.lang.String commandName, java.lang.String[] paramNames, java.lang.String[] paramValues, java.io.PrintWriter writer)` Write the output of the command to the writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSIPrintenv

    public SSIPrintenv()

Method Detail

### process

    public long process(SSIMediator ssiMediator,
                        java.lang.String commandName,
                        java.lang.String[] paramNames,
                        java.lang.String[] paramValues,
                        java.io.PrintWriter writer)

  Description copied from interface: `SSICommand`
  Write the output of the command to the writer.

  Specified by:
    `process` in interface `SSICommand`
  Parameters:
    `ssiMediator` - the ssi mediator
    `commandName` - the name of the actual command ( ie. echo )
    `paramNames` - The parameter names
    `paramValues` - The parameter values
    `writer` - the writer to output to
  Returns:
    the most current modified date resulting from any SSI commands
  See Also:
    `SSICommand`

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.